[jira] Created: (JXPATH-121) Maven compile dependency on servlet-2.2

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (JXPATH-121) Maven compile dependency on servlet-2.2

ASF GitHub Bot (Jira)
Maven compile dependency on servlet-2.2
---------------------------------------

                 Key: JXPATH-121
                 URL: https://issues.apache.org/jira/browse/JXPATH-121
             Project: Commons JXPath
          Issue Type: Bug
    Affects Versions: 1.2 Final
         Environment: Any
            Reporter: David Goodine
            Priority: Minor


JXPath 1.2 appears to have a "compile" dependency on the Servlet API version 2.2.  It should be changed in the pom.xml to be a "provided" dependency so that it doesn't get deployed to the web server.  Just add the <scope> as follows in the pom.xml file.

    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
      <version>2.2</version>
      <scope>provided</scope>
    </dependency>


--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Closed: (JXPATH-121) Maven compile dependency on servlet-2.2

ASF GitHub Bot (Jira)

     [ https://issues.apache.org/jira/browse/JXPATH-121?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Henri Yandell closed JXPATH-121.
--------------------------------

    Resolution: Cannot Reproduce

Looks like this has already been done in trunk.

> Maven compile dependency on servlet-2.2
> ---------------------------------------
>
>                 Key: JXPATH-121
>                 URL: https://issues.apache.org/jira/browse/JXPATH-121
>             Project: Commons JXPath
>          Issue Type: Bug
>    Affects Versions: 1.2 Final
>         Environment: Any
>            Reporter: David Goodine
>            Priority: Minor
>
> JXPath 1.2 appears to have a "compile" dependency on the Servlet API version 2.2.  It should be changed in the pom.xml to be a "provided" dependency so that it doesn't get deployed to the web server.  Just add the <scope> as follows in the pom.xml file.
>     <dependency>
>       <groupId>javax.servlet</groupId>
>       <artifactId>servlet-api</artifactId>
>       <version>2.2</version>
>       <scope>provided</scope>
>     </dependency>

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.